import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\prsht.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\MsHTML.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\dimm.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\dispex.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\shared\dxgitype.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\shared\dxgicommon.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\shared\dxgiformat.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\MsHtmHst.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\docobj.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\ExDisp.idl";
import "C:\Program Files (x86)\Windows Kits\10\Include\10.0.26100.0\um\ObjSafe.idl";

[
	object,
	uuid(77E30ADF-62DF-420B-A3A7-D74D310C0DAE),
	dual,
	helpstring("IController Interface"),
	pointer_default(unique)
] 
#line 14 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\controller.h"
interface IController : IDispatch {
#line 16 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\controller.h"
	[propget,id(2),helpstring("property RootPath")] HRESULT  RootPath([out,retval] BSTR *pVal);
	[propput,id(2),helpstring("property RootPath")] HRESULT  RootPath([in] BSTR newVal);
	[propget,id(3),helpstring("property CurrentRootPath")] HRESULT  CurrentRootPath([out,retval] BSTR *pVal);
	[propget,id(4),helpstring("property ExportSeparator")] HRESULT  ExportSeparator([out,retval] BSTR *pVal);
	[propput,id(4),helpstring("property ExportSeparator")] HRESULT  ExportSeparator([in] BSTR newVal);
	[propget,id(5),helpstring("property ImportSeparator")] HRESULT  ImportSeparator([out,retval] BSTR *pVal);
	[propput,id(5),helpstring("property ImportSeparator")] HRESULT  ImportSeparator([in] BSTR newVal);
	[propget,id(6),helpstring("property CurrentImportSeperator")] HRESULT  CurrentImportSeperator([out,retval] BSTR *pVal);
	[propget,id(7),helpstring("property CurrentExportSeparator")] HRESULT  CurrentExportSeparator([out,retval] BSTR *pVal);
	[propget,id(8),helpstring("property Version")] HRESULT  Version([out,retval] BSTR *pVal);
	[propget,id(9),helpstring("property FirstYear")] HRESULT  FirstYear([out,retval] LONG *pVal);
	[propget,id(10),helpstring("property YearLatest")] HRESULT  YearLatest([out,retval] LONG *pVal);
};

[
	object,
	uuid(5F0A9455-6D61-4E0C-8081-693A0C235264),
	dual,
	helpstring("IProcessor Interface"),
	pointer_default(unique)
] 
#line 18 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\processor.h"
interface IProcessor : IDispatch {
#line 20 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\processor.h"
	[id(1),helpstring("method SetData")] HRESULT  SetData([in]BSTR data, [out,retval] LONG *success);
	[id(2),helpstring("method Compute")] HRESULT  Compute([in]LONG Model, [in]LONG Flags, [in]LONG MaxAuf);
	[id(3),helpstring("method PrepareOutput")] HRESULT  PrepareOutput([in]LONG type, [in]LONG flags, [out,retval] LONG *buflen);
	[id(4),helpstring("method GetOutput")] HRESULT  GetOutput([in]LONG offset, [in]LONG maxlen, [out,retval] BSTR *buffer);
	[propget,id(5),helpstring("property ImportSeparator")] HRESULT  ImportSeparator([out,retval] BSTR *pVal);
	[propput,id(5),helpstring("property ImportSeparator")] HRESULT  ImportSeparator([in] BSTR newVal);
	[propget,id(6),helpstring("property ExportSeparator")] HRESULT  ExportSeparator([out,retval] BSTR *pVal);
	[propput,id(6),helpstring("property ExportSeparator")] HRESULT  ExportSeparator([in] BSTR newVal);
	[id(8),helpstring("method GetBufferLineCount")] HRESULT  GetBufferLineCount([out,retval] LONG *linecount);
	[id(11),helpstring("method GetBufferLen")] HRESULT  GetBufferLen([out,retval] LONG *BufLen);
	[id(12),helpstring("method GetDefaultFilename")] HRESULT  GetDefaultFilename([out,retval] BSTR *filename);
	[id(13),helpstring("method GetOutputLines")] HRESULT  GetOutputLines([in]LONG startline, [in]LONG linecount, [out,retval] BSTR *linebuf);
	[propget,id(14),helpstring("property FixedModel")] HRESULT  FixedModel([out,retval] LONG *pVal);
	[propput,id(14),helpstring("property FixedModel")] HRESULT  FixedModel([in] LONG newVal);
	[id(15),helpstring("method PrepareOutputEx")] HRESULT  PrepareOutputEx([in]LONG type, [in]LONG flags, [in]VARIANT parameters, [out,retval] LONG *buflen);
	[propget,id(16),helpstring("property InputFileName")] HRESULT  InputFileName([out,retval] BSTR *pVal);
	[propput,id(16),helpstring("property InputFileName")] HRESULT  InputFileName([in] BSTR newVal);
	[propget,id(17),helpstring("property OutputFileName")] HRESULT  OutputFileName([out,retval] BSTR *pVal);
	[propput,id(17),helpstring("property OutputFileName")] HRESULT  OutputFileName([in] BSTR newVal);
	[id(18),helpstring("method CreateFilter")] HRESULT  CreateFilter([in]BSTR FilterText, [out,retval] LONG *Filter);
	[id(19),helpstring("method DropFilter")] HRESULT  DropFilter([in]LONG Filter, [out,retval] LONG *RetVal);
	[id(20),helpstring("method ApplyFilter")] HRESULT  ApplyFilter([in]LONG Filter, [in]LONG Flags, [out,retval] LONG *Count);
	[id(21),helpstring("method GetFilterText")] HRESULT  GetFilterText([in]LONG Filter, [out,retval] BSTR *FilterText);
	[id(22),helpstring("method GetMarkCount")] HRESULT  GetMarkCount([out,retval] LONG *MarkCount);
	[id(23),helpstring("method GetAufenthaltCount")] HRESULT  GetAufenthaltCount([out,retval] LONG *AufenthaltCount);
	[id(24),helpstring("method MarkAufenthalte")] HRESULT  MarkAufenthalte([in]VARIANT Ids, [in]LONG Flags, [out,retval] LONG *Count);
	[id(25),helpstring("method DoIntScoring")] HRESULT  DoIntScoring([in]LONG flags, [in]VARIANT Settings, [out,retval] LONG *Result);
	[id(26),helpstring("method BatchExecute")] HRESULT  BatchExecute([in]BSTR commands, [out,retval] LONG *returncode);
	[id(27),helpstring("method CheckInput")] HRESULT  CheckInput([in]LONG abrechnungsjahr, [in]LONG modus, [out,retval] ULONG *returncode);
	[id(28),helpstring("method SetErrorFormat")] HRESULT  SetErrorFormat([in]LONG Facility, [in]VARIANT ErrorFields, [out,retval] LONG *ReturnCode);
	[id(29),helpstring("method SetErrorFilter")] HRESULT  SetErrorFilter([in]LONG ErrorFilter, [out,retval] LONG *ErrorCount);
	[id(30),helpstring("method SetCompatibilityMode")] HRESULT  SetCompatibilityMode([in]LONG Compatibility, [out,retval] LONG *ReturnCode);
	[id(31),helpstring("method SetIntAbtData")] HRESULT  SetIntAbtData([in]BSTR ABTFC, [in]LONG Betten, [out,retval] LONG *Returncode);
	[id(32),helpstring("method GetLastError")] HRESULT  GetLastError([out,retval] BSTR *Error);
	[id(33),helpstring("method DoScoring")] HRESULT  DoScoring([in]LONG Flags, [out,retval] LONG *Result);
	[id(34),helpstring("method SetFlags")] HRESULT  SetFlags([in]LONG Flags);
	[id(35),helpstring("method SetContextParameters")] HRESULT  SetContextParameters([in]LONG Abrechnungsjahr, [in]LONG PeriodVal, [in]LONG PeriodNr, [in]LONG PeriodType, [in]LONG Flags);
	[id(36),helpstring("method SetAbrechnungsjahr")] HRESULT  SetAbrechnungsjahr([in]LONG Abrechnungsjahr);
	[id(37),helpstring("method SetModelljahr")] HRESULT  SetModelljahr([in]LONG Modelljahr, [out,retval] LONG *Result);
	[id(38),helpstring("method SetIntContextParameters")] HRESULT  SetIntContextParameters([in] BSTR VonDatum, [in] BSTR BisDatum, [in] LONG Flags, [in] LONG MindestStd, [in]LONG *Result);
	[id(39),helpstring("method DoStat")] HRESULT  DoStat([in]LONG Flags, [out,retval] LONG *Result);
	[id(40),helpstring("method SendBuffer")] HRESULT  SendBuffer([in]VARIANT Buffer, [out,retval] LONG *ReturnCode);
	[id(41),helpstring("method TraceSetAufenthalt")] HRESULT  TraceSetAufenthalt([in]BSTR AufNr);
	[id(42),helpstring("method TraceSetMode")] HRESULT  TraceSetMode([in]LONG Facility, [in]LONG Level);
	[id(43),helpstring("method TraceGetAufenthalt")] HRESULT  TraceGetAufenthalt([out,retval] BSTR *AufNr);
	[id(44),helpstring("method TraceGetMode")] HRESULT  TraceGetMode([in]LONG Facility, [out,retval] LONG *Level);
};


[ version(1.0), uuid(2D99B7AA-8EAA-4A61-A767-FE69A6BCEA78), helpstring("LKFServer 1.0 Type Library") ]
library LKFServer
{
	importlib("stdole2.tlb");

	[
		version(1.0),
		uuid(751E02EC-81D8-4705-8860-1D5376983DD5),
		helpstring("Controller Class")
	] 
#line 44 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\controller.h"
	coclass CController {
		interface IController;
	};

	[
		version(1.0),
		uuid(E8AB8F91-384E-463F-B373-40BF78AEF62A),
		helpstring("Processor Class")
	] 
#line 86 "c:\\projects\\lkfc\\lkfscoring\\lkfserver\\processor.h"
	coclass CProcessor {
		interface IProcessor;
	};

}

